Subject: Re: bug#74750: clone-frame and make-frame pixelwise issues

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Dec 2024 21:10:37 +0200

> From: Ship Mints <[email-masked]>
> Date: Mon, 16 Dec 2024 12:51:14 -0500
> Cc: [email-masked], [email-masked]
> 
> The tty test you're asking about was already in place, I merely added the missing frame argument that
> ensures the test is against the source frame rather than the ambient selected-frame. As to its utility, I can go
> only by the docstring sentence that reads "If the terminal is a text-only terminal then also select the new
> frame." Seems to have originated with this commit 2c662e6d66165db8ead2f4d19a61af521807b8ba in 2021
> when clone-frame was introduced.

Martin, do we want to remove the condition?  I dislike such
differences if they are not really necessary.  I understand why in the
TTY case we must select the frame, but I don't understand why we
refrain from doing so in the GUI case.

WDYT?